Bug 192432 - Review Request: compiz
Review Request: compiz
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Package Reviews List
: Reopened
Depends On: 193679
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-19 14:27 EDT by Alphonse Van Assche
Modified: 2007-11-30 17:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-17 22:01:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
control-center-2.14.1-1.fc5.2 add devel patch (1.72 KB, patch)
2006-06-01 07:08 EDT, Eric Work
no flags Details | Diff
control-center-2.14.2-2 add devel patch (1.47 KB, patch)
2006-06-01 07:16 EDT, Eric Work
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 192436 None None None Never

  None (edit)
Description Alphonse Van Assche 2006-05-19 14:27:15 EDT
Spec URL: http://users.telenet.be/quenta/SPECS/compiz.spec
SRPM URL: http://users.telenet.be/quenta/repo/compiz-1.0.0-4.src.rpm

Description:
Compiz is an OpenGL compositing manager that use
GLX_EXT_texture_from_drawable for binding redirected top-level windows
to texture objects. It has a flexible plug-in system and it is designed
to run well on most graphics hardware.

This paquage is based on that proposed by Tom Callaway for FC3TEST3 and that of suse, i have especially use these of suse in order to find a stable version of (compiz, xgl and mesa), packaged by the developer of the program it self.  

For the build requieres, I have just recompiler those provided by Tom, must I do a request for these packages too?

They are my first paquackages and I need a sponsor.

regards,
Al
Comment 1 Rudolf Kastl 2006-05-19 16:46:57 EDT
make[3]: *** [api_arrayelt.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
In file included from accum.h:41,
                 from accum.c:26:
mtypes.h:44:20: error: bitset.h: No such file or directory
accum.c: In function '_mesa_ClearAccum':
accum.c:50: warning: dereferencing type-punned pointer will break
strict-aliasing rules
In file included from api_loopback.c:39:
mtypes.h:44:20: error: bitset.h: No such file or directory
Comment 2 Alphonse Van Assche 2006-05-20 10:42:47 EDT
Hi Rudolf,

It's the same mesa version problem which that of xgl.
cf. bugid https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=192436 
Comment 3 Alphonse Van Assche 2006-05-30 10:18:08 EDT
New repository because there was no enough disk space on the first place.

Spec URL: http://fedoraxgl.tuxfamily.org/repository/5/SPECS/compiz.spec
SRPM URL: http://fedoraxgl.tuxfamily.org/repository/5/SRPMS/compiz-1.0.0-4.src.rpm

For building compiz, the control-center-devel package with 2.14.0 is requiered.

Pre made package are avalable here:
SRPM:
http://fedoraxgl.tuxfamily.org/repository/5/SRPMS/control-center-2.14.0-1.src.rpm
Spec:
http://fedoraxgl.tuxfamily.org/repository/5/SPECS/control-center.spec

  
Comment 4 Thorsten Leemhuis 2006-05-31 01:36:00 EDT
(In reply to comment #3)
> For building compiz, the control-center-devel package with 2.14.0 is requiered.
> Pre made package are avalable [...]

This is going to be a problem -- control-center is already in Core and Extras
packages are not allowed to replace packages from Core. The proper way to solve
this kind of problem in Fedora-Land would be to convince the core maintainer to
release a update that also builds the devel package. That's probably not that
easy, but you should at least try (e.g. create a patch for the
control-center.spec from Core, open a bug here, describe the situation and
attach the patch to the bug).
Comment 5 Alphonse Van Assche 2006-05-31 12:30:56 EDT
done!
Comment 6 Eric Work 2006-06-01 06:52:40 EDT
I have been working with Alphonse on getting these packages running on FC5. 
There are 3 dependencies required.  One is just the control-center-devel part of
the package.  I have a spec with the needed changes from the lastest in rawhide
(I can create a patch).  The other two are libsvg, and libsvg-cairo with devels.
 For Xgl you will need to also add glitz.  One possability is to include the
devel files with compiz, I believe its only 3 or 4 files.  I have created new
SRPMs based on those by Alphonse and built all required packages on both i386
and x86_64 in mock, with only minor rpmlint warnings.  The source packages can
be found at the following URL:

http://www.ece.ucdavis.edu/~ewwork/repo/5/SRPMS/

Maybe I can help speed up getting this package accepted.  Seeing as how Ubuntu
6.09 and SuSE 10.1 now have thes packages included I think FE should fill this
gap for Fedora users.
Comment 7 Eric Work 2006-06-01 07:08:55 EDT
Created attachment 130330 [details]
control-center-2.14.1-1.fc5.2 add devel patch
Comment 8 Eric Work 2006-06-01 07:16:47 EDT
Created attachment 130332 [details]
control-center-2.14.2-2 add devel patch

Sorry for the badly worded comment before its getting a little too late.
Comment 9 Thorsten Leemhuis 2006-06-01 08:44:44 EDT
(In reply to comment #8)
> Created an attachment (id=130332) [edit]
> control-center-2.14.2-2 add devel patch
> 
> Sorry for the badly worded comment before its getting a little too late.

The whole control-center problem should be worked on and solved in Bug 193679; 

(In reply to comment #6)
>  For Xgl you will need to also add glitz.  One possability is to include the
> devel files with compiz, I believe its only 3 or 4 files. 

That sounds really dirty. Why not provide a proper glitz package? And one bug
one package please, otherwise it will confuse everything.

BTW and just out of interest: does compitz work with Xaiglx / Xorg 7.1 these days?
Comment 10 Alphonse Van Assche 2006-06-01 11:19:37 EDT
Yes compiz work with Xaiglx.
http://lists.freedesktop.org/archives/xorg/2006-March/013577.html

I will try to compile compiz with these patch.
Comment 11 Eric Work 2006-06-01 14:59:42 EDT
I have created new bugs for libsvg, and libsvg-cairo, which are the other two
dependencies missing currently besides control-center-devel.  These are bugs
193806, and 193807.  I guess to clear up what I said before.  Once suggestion I
had to was to put the needed control-center .h files included with compiz.  Like
stated in comment #4, the best is to make the change upstream for everyone to use.
Comment 12 Eric Work 2006-06-01 17:11:29 EDT
The following SRPM has a newer Mesa and is checked with mock and rpmlint.

SPEC URL: http://www.ece.ucdavis.edu/~ewwork/repo/5/SPECS/compiz.spec
SRPM URL: http://www.ece.ucdavis.edu/~ewwork/repo/5/SRPMS/compiz-0.0.11cvs-1.src.rpm
Comment 13 Alphonse Van Assche 2006-06-02 16:34:48 EDT
I have never see this spec file, and find this kind of practice really bad!
Comment 14 Alphonse Van Assche 2006-06-05 07:18:07 EDT
Spec URL: http://fedoraxgl.tuxfamily.org/repository/5/SPECS/compiz.spec
SRPM URL:
http://fedoraxgl.tuxfamily.org/repository/5/SRPMS/compiz-0.0.10-1.fc5.src.rpm 
 
Several changes, some based on the Eric Work version:
-  update cvs mesa version with this of yesterday.
-  add devel package, but comment out a this time.
-  more use of macro.
-  remove compiz gconf entry when unstalling the package (preun).
-  update fedora-log.patch, patch compiz.schemas file too.
-  remove extra comments.
-  fix version, so old user of the package must uninstall the old package to be
able to install the new one.
-  fix release in changlog.

this version is well cleaned, rpmlint complain only for the licence
(X11/MIT/GPL), and for the gconf .schemas (he says W: compiz non-conffile-in-etc
/etc/gconf/schemas/compiz.schemas but all gconf schemas are there, so i think
that this warning may be ignored?).

Thx to Eric for him work! (if the next time you sendings me a patch it will be
still better ;))
Comment 15 Eric Work 2006-06-05 14:12:31 EDT
I am sorry for the confusion about the SPEC files.  I should have sent my
changes to Alphonse Van Assche instead of submiting my own.  Ignore my SPEC file
and use the one supplied by Alphonse as his is now much better than mine.
Comment 16 Mike A. Harris 2006-06-07 16:00:26 EDT
[LEGAL]

compiz source currently contains trademarked Novell logos, and does not
to the best of my knowledge provide explicit legally binding approval
to permit the redistribution of their trademarked logo.

In order to meet the requirements of trademark law, if compiz is included
in Fedora Core or Extras, we will then need to do one of the following
options:

1) Request upstream to remove the trademarked logo from the repository and
source archives, to permit the package to be redistributable without
violating their trademark terms.

or

2) Request them to insert explicit permission in the sources for the
redistribution of their trademarked logo.  (unlikely)

or

3) We need to recreate the tarballs, without the trademarked logo.


Doing any of these should comply with Fedora legal policies I believe.
If there are any deeper concerns, we should directly contact Red Hat
legal councel to resolve any concerns.

Comment 17 Kristian Høgsberg 2006-06-07 17:15:35 EDT
We're definitely interested in making compiz usable on fedora, but there are a
number of issues with the current approach that needs to be worked out:

 - Must work with aiglx.  Packaging Xgl is fine and compiz should be able to run
on Xgl too, but Xgl can not be a dependency of the compiz RPM.  compiz will need
further patches for this to work, specifically it needs to default to strict
texture binding and indirect rendering.

 - We should update to compiz 0.0.12

 - Can't include mesa source, must work with system mesa.  Current rawhide mesa
almost works, but needs a patch to provide a few extra FBConfig attributes.

 - We can't pull in libsvg-cairo.  No development is going on on that library
anymore. librsvg is the svg renderer to use going forward, and it now renders to
a cairo surface too.  Short term we'll have to disable the svg functionality,
longer term I'm sure upstream will take a patch to port to librsvg.

 - the %description mentions EXT_texture_from_drawable, it's now called
EXT_texture_from_pixmap.  In either case it's too much of an implementation
detail to put in the %description.  However it should mention that compiz is
also a windows manager.

I'm currently working on patches to the core packages (Xorg and mesa) to make it
 possible to run compiz on aiglx, will keep this bug updated as that work
progresses.

thanks,
Kristian
Comment 18 Mike A. Harris 2006-06-14 00:27:02 EDT
Our bugzilla database had a catastrophic failure on June 13 which
lost all bug changes from Thurs the 9th or so.  I'm trying to
fix some of the breakage and missing comments, etc. from what I
have saved in bugzilla emails.


------- Additional Comments From alcapcom@gmail.com  2006-06-09 10:07 EST -------
Hehe, compiz on Fedora...
A part of the work is done.

Spec URL: http://fedoraxgl.tuxfamily.org/repository/5/SPECS/compiz.spec
SRPM URL:
http://fedoraxgl.tuxfamily.org/repository/5/SRPMS/compiz-0.0.13-1.fc5.src.rpm

Here what is made: 
* Fri Jun 9 2006 Alphonse Van Assche <alcapcom@gmail.com> 0.0.13-1
- update to 0.0.13
- remove novell.png from the sources archive.
- add a patch for remove all novell.png entry in the sources.
- disable libsvg (only requiere by cube plugin, the plugin work witout but 
  unfortunately the nice fedora logo is no more on the top of the cube... snif).
- remove xgl from requiered packages.
- chang packages description.
- Remove Mesa build-in source stuff.

So for further go, It need some additional:
- Where can we find FBConfig mesa patch for the current rawhide, have find this
one, on the compiz mailing list
http://lists.freedesktop.org/archives/compiz/2006-April/000072.html. is that  patch?
- Where can we find SRPMS for Aiglx? 
- What are the good/best card for aixgl, I will buy one this w-e to test aiglx too.
 
I impatiently wait the patched for mesa and Xorg  :-D 

Thanks
Comment 19 Mike A. Harris 2006-06-14 00:28:13 EDT
------- Additional Comments From work.eric@gmail.com  2006-06-10 06:50 EST -------
Just to update everyone control-center-devel has been resolved in the
development branch.  libsvg* has been put into the FC-5 and development branches
so the dependencies are there now for the development branch.

Comment 20 Mike A. Harris 2006-06-16 15:33:47 EDT
While restoring bugzilla state based on bug emails, I seem to have
inadvertently closed this bug as NEXTRELEASE, when it was a dependent
bug that had previously been closed.

Reopening, and setting to ASSIGNED.
Comment 21 Kristian Høgsberg 2006-06-27 17:59:20 EDT
I've updated the core packages to allow compiz to run on straight rawhide and
packaged up a version of compiz that works with aiglx.  More details here:

http://lists.freedesktop.org/archives/compiz/2006-June/000300.html
Comment 22 Rudolf Kastl 2006-06-28 07:37:50 EDT
#21 confirmed as building and working on x86 rawhide as of today.
Comment 23 Thorsten Leemhuis 2006-07-04 08:58:48 EDT
Note: this package accidentally for assigned to me. That's wrong, I'm not
interested in it and won't do a review. This bug should be treated as it was in
a NEW state (it still blocks FE_NEW so most people will know that nobody is
reviewing this yet).
Comment 24 Kristian Høgsberg 2006-07-04 19:39:56 EDT
Reassigning to myself, dropping libsvg-cairo dependency bug.
Comment 25 Kristian Høgsberg 2006-07-17 22:01:13 EDT
Closing as RAWHIDE, as per bug #198944 we're pulling it into Fedora Core.

Note You need to log in before you can comment on or make changes to this bug.